/*
	Theme Name: ca-albigeois
	Theme URI : ca-albigeois.dev.inovagora.work
	Description: CA Albigeois
	Author: Inovagora
	Template: novacity
	Version: 1.0
*/


.alert-danger,
body .gform_wrapper div.validation_error, #wppb_general_top_error_message, body .wppb-error, body .wppb-warning {
    color: #fff !important;
}

#pass-strength-result.good,
#pass-strength-result.short {
    color: black !important;
}

.section-access-blocks.stripe .section-title {
    padding-left: 40px;
}

.article-project .article-image {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
	
}
.article-project .article-image::before {
    content: '';
    display: block;
    padding-top: 44%;
}
.article-project .article-image img {
    display: none;
}


.listicon:hover .listicon-icon svg *,
.listicon:active .listicon-icon svg *,
.listicon:focus .listicon-icon svg * {
    fill: transparent;
    stroke: transparent;
}

/* Pour gérer les cas où il n'y a ni stroke, ni fill */
.listicon:hover .listicon-icon svg :not([fill]):not([stroke]),
.listicon:active .listicon-icon svg :not([fill]):not([stroke]),
.listicon:focus .listicon-icon svg :not([fill]):not([stroke]) {
    fill: #fff;
}

/* Pour gérer les cas où il n'y a un fill */
.listicon:hover .listicon-icon svg [fill],
.listicon:active .listicon-icon svg [fill],
.listicon:focus .listicon-icon svg [fill] {
    fill: #fff;
}

/* Pour gérer les cas où il n'y a un stroke */
.listicon:hover .listicon-icon svg [stroke],
.listicon:active .listicon-icon svg [stroke],
.listicon:focus .listicon-icon svg [stroke] {
    stroke: #fff;
}

.panel-suivi-demande .panel-title {
    margin-top: 0;
    margin-bottom: 12px;
    font-size: 22px;
    color: inherit;
}
.panel-suivi-demande {
    font-size: 15px;
}
.panel-suivi-demande .form-group {
    border-radius: 20px 0 0 20px;
}
.panel-suivi-demande .btn {
    border-radius: 0 20px 20px 0;
    padding-left: 20px;
    padding-right: 26px;
    border: none;
}

.related-free .panel-body img {
    max-width: 100%;
    display: block;
}

.wp-block-media-text .wp-block-media-text__content:first-child {
    padding-left: 0;
}
.wp-block-media-text .wp-block-media-text__content:last-child {
    padding-right: 0;
}


@media print {
    .article-news.has-image .article-header,
    .article-page.has-image .article-header,
    .article-open_agenda.has-image .article-header,
    .article-folder.has-image .article-header,
    .article-projet.has-image .article-header,
    .article-events.has-image .article-header {
        padding: 0;
    }
    .article-news.has-image .article-meta,
    .article-page.has-image .article-meta,
    .article-open_agenda.has-image .article-meta,
    .article-folder.has-image .article-meta,
    .article-projet.has-image .article-meta,
    .article-events.has-image .article-meta {
        margin-left: 0;
    }
    .article-news .article-header,
    .article-page .article-header,
    .article-open_agenda .article-header,
    .article-folder .article-header,
    .article-projet .article-header,
    .article-events .article-header {
        flex-direction: column-reverse;
    }
    .article-image {
        margin-bottom: 20px;
    }
    .simplefavorite-button {
        display: none;
    }
}

/* BOOKED */
/* Ajoute le terme "complet" sur les jours dont les rendez-vous sont tous bookés */
body div.booked-calendar-wrap div.booked-calendar .bc-body .bc-row.week .bc-col.booked .date span::after {
    content: 'Complet';
    display: block;
    font-size: 13px;
    color: inherit;
    line-height: 1;
    margin-top: -5px;
}

/* Corrige le bug de largeur des l'entête des jours quand on masque les week-ends */
body div.booked-calendar-wrap div.booked-calendar .bc-head .bc-row .bc-col {
    flex-grow: 1;
}

/* Grise le bouton quand la réservation est complète */
body div.booked-calendar .booked-appt-list .timeslot .new-appt.button[disabled],
body div.booked-calendar .booked-appt-list .timeslot .new-appt.button[disabled]:hover
body div.booked-calendar .booked-appt-list .timeslot .new-appt.button[disabled]:active,
body div.booked-calendar .booked-appt-list .timeslot .new-appt.button[disabled]:focus {
    border-color: #eee !important;
    background-color: #eee !important;
    color: #888 !important;
}

/* Masque le titre repris sur le bouton de réservation */
body div.booked-calendar .timeslot .button .timeslot-mobile-title {
    display: none;
}

/* Corrige la couleur du texte sur le bouton de réservation en mobile */
body .booked-appt-list .timeslot .spots-available {
    color: inherit;
}